Subject: fvwm 2.0.45 and Xcoral

From: Yehuda Bamnolker <[email-masked]>
Date: Fri, 30 May 1997 10:37:20 -0700

I'm re-sending since my mail had some problems last night and I couldn't
find the previous mail I sent in the archive.

My apologies if you got it twice.

Thanks,
Yehuda.

P.S: I took a look at fvwm/module.c where it crashed:

     void SendName(int module, unsigned long event_type,
          unsigned long data1,unsigned long data2,
          unsigned long data3, char *name)
    {
      int l;
      unsigned long *body;
      extern Time lastTimestamp;
 
      if(name == NULL)
       return;
 
     l=(strlen(name))/(sizeof(unsigned long))+HEADER_SIZE+4;
     
      The SendName function to check that name isn't NULL but looking at the
      stack trace from GDB it's 0xffffffff (name=0xffffffff <Address 0xffffffff
      out of bounds>) at module.c:509) and strlen crashed while walking over
      this corrupted pointer.

----- Begin Included Message -----